Changeset 5380


Ignore:
Timestamp:
11/17/11 20:17:21 (2 years ago)
Author:
jwatson
Message:

Fixing issues propagating mipgap to ef solves.

Location:
coopr.pysp/trunk/coopr/pysp
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • coopr.pysp/trunk/coopr/pysp/ef_writer_script.py

    r5195 r5380  
    268268            if (options.mipgap < 0.0) or (options.mipgap > 1.0): 
    269269                raise ValueError, "Value of the mipgap parameter for the EF solve must be on the unit interval; value specified=" + `options.mipgap` 
    270             else: 
    271                 ef_solver.mipgap = options.mipgap 
     270            ef_solver.options.mipgap = float(options.mipgap) 
     271 
    272272        if options.keep_solver_files is True: 
    273273            ef_solver.keepFiles = True 
  • coopr.pysp/trunk/coopr/pysp/phinit.py

    r5358 r5380  
    829829            if (options.ef_mipgap < 0.0) or (options.ef_mipgap > 1.0): 
    830830                raise ValueError, "Value of the mipgap parameter for the EF solve must be on the unit interval; value specified=" + `options.ef_mipgap` 
    831             else: 
    832                 ef_solver.options.mipgap = float(options.ef_mipgap) 
     831            ef_solver.options.mipgap = float(options.ef_mipgap) 
    833832 
    834833        # create the solver manager plugin. 
Note: See TracChangeset for help on using the changeset viewer.